From: "Virgil Dupras" <vdupras@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/odfpy/
Date: Tue, 7 Aug 2018 15:13:52 +0000 (UTC) [thread overview]
Message-ID: <1533654811.6e94fa9ed83e226d26a3ec95270cf3895f8f104a.vdupras@gentoo> (raw)
commit: 6e94fa9ed83e226d26a3ec95270cf3895f8f104a
Author: Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 7 15:13:31 2018 +0000
Commit: Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Tue Aug 7 15:13:31 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e94fa9e
dev-python/odfpy: bump to 1.3.6
* Run tests properly (they pass now)
* Use github release tarball to have complete content (for tests)
* EAPI 7
* Python 3.7
Package-Manager: Portage-2.3.44, Repoman-2.3.10
dev-python/odfpy/Manifest | 1 +
dev-python/odfpy/odfpy-1.3.6.ebuild | 33 +++++++++++++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-python/odfpy/Manifest b/dev-python/odfpy/Manifest
index 9cb087482d7..ecc587cfd1c 100644
--- a/dev-python/odfpy/Manifest
+++ b/dev-python/odfpy/Manifest
@@ -1 +1,2 @@
DIST odfpy-1.3.2.tar.gz 479554 BLAKE2B 3b9d2d144f11727471002dd1dfb9289028423d05d65fea040041dbd43a674ddf6c893fa8895a2e198e6a82e79aa2af92f21a6381cfd67233b4fe57401370121f SHA512 c5be79c4077f40a56821790d4b6062e3715f8b616b1e9ead79977ad00ecf3f506ebbe73790f215bb835a233833fa471af7f619cfcd88320cf8238e4c9502e248
+DIST odfpy-1.3.6.tar.gz 691122 BLAKE2B aaaf2c1613beb6775d22e4d1739b7c144d8046e687f0dc8f7b7b1ea7400cc32dd572ed5a1cd12cb01c5fec27b5c37950b710b279a46d60da8735154d2b2d7030 SHA512 09f3fbce633949035842cff16d2e016271b7f6abf04d74fcaa712c9b3afa18943dd566a2d88a7256a0a52d88ea689d6ef8262f6d8d67d6ea1025aa56e10300f8
diff --git a/dev-python/odfpy/odfpy-1.3.6.ebuild b/dev-python/odfpy/odfpy-1.3.6.ebuild
new file mode 100644
index 00000000000..61a31f54130
--- /dev/null
+++ b/dev-python/odfpy/odfpy-1.3.6.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Classifier: Programming Language :: Python :: 2 :: Only
+# py3 fails one test, pypy anpother.
+# Notes on page of home repo reports support of python3.
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6,3_7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python API and tools to manipulate OpenDocument files"
+HOMEPAGE="https://github.com/eea/odfpy https://pypi.org/project/odfpy/"
+SRC_URI="https://github.com/eea/${PN}/archive/release-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+ pytest -v || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ use examples && local EXAMPLES=( examples/. )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2018-08-07 15:13 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-08-07 15:13 Virgil Dupras [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-18 6:23 [gentoo-commits] repo/gentoo:master commit in: dev-python/odfpy/ Michał Górny
2023-11-24 15:29 Michał Górny
2023-11-23 19:38 Michał Górny
2023-05-31 19:08 Michał Górny
2023-02-17 9:32 Michał Górny
2022-06-06 9:56 Michał Górny
2022-06-06 9:56 Michał Górny
2022-06-06 9:29 Jakov Smolić
2022-06-06 9:29 Jakov Smolić
2022-05-01 13:56 Michał Górny
2021-06-05 14:40 Michał Górny
2020-11-17 20:17 Michał Górny
2020-02-05 16:53 Michał Górny
2018-09-09 23:05 Virgil Dupras
2018-09-09 22:49 Thomas Deutschmann
2018-09-03 13:18 Virgil Dupras
2018-08-28 12:52 Agostino Sarubbo
2018-08-07 15:25 Virgil Dupras
2017-09-03 1:04 Mike Gilbert
2016-03-02 11:44 Patrick Lauer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1533654811.6e94fa9ed83e226d26a3ec95270cf3895f8f104a.vdupras@gentoo \
--to=vdupras@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox